#### Description:

This macro returns a boolean value (0 or 1) to indicate if preceding AST functions have completed successfully (i.e. without setting the AST error status). If the error status is set to an error value, a value of zero is returned, otherwise the result is one.

#### Synopsis

int astOK

#### Returned Value

##### astOK

One if the AST error status is OK, otherwise zero.

#### Notes:

- If the AST error status is set to an error value (after an error), most AST functions will not execute and will simply return without action. To clear the error status and restore normal behaviour, use astClearStatus.

Copyright (C) 2021 East Asian Observatory